GDAL-RASTER-OVERVIEW-DELETE(1)

NAME
gdal-raster-overview-delete - Delete overviews of a raster dataset

Added in version 3.11.

SYNOPSIS

    Usage: gdal raster overview delete [OPTIONS] <INPUT>
    Deleting overviews.
    Positional arguments:
      -i, --dataset, --input <INPUT>     Dataset (to be updated in-place, unless --external) [required]
    Common Options:
      -h, --help                         Display help message and exit
      --json-usage                       Display usage as JSON document and exit
      --config <KEY>=<VALUE>             Configuration option [may be repeated]
      -q, --quiet                        Quiet mode (no progress bar or warning message) [not available in pipelines]
    Options:
      --external                         Delete external overviews
    Advanced Options:
      --oo, --open-option <KEY>=<VALUE>  Open options [may be repeated]

DESCRIPTION

gdal raster overview delete can be used to delete all existing overviews of a dataset.

NOTE: For most file formats (including GeoTIFF or GeoPackage), the space previously occupied by the removed overviews may not be reclaimed. It might be needed for use gdal raster convert to create a new compact dataset.

PROGRAM-SPECIFIC OPTIONS

--dataset <DATASET>
    Dataset name, to be updated in-place by default (unless --external is specified). Required.

--external
    Remove external .ovr overviews.

STANDARD OPTIONS

--oo, --open-option <NAME>=<VALUE>
    Dataset open option (format specific).

    May be repeated.

RETURN STATUS CODE

The program returns status code 0 in case of success, and non-zero in case of error (non-blocking errors emitted as warnings are considered as a successful execution).

EXAMPLES

  Example 1: Delete overviews of a GeoTIFF file.

    gdal raster overview delete my.tif

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026